Skip to content

List invite codes

GET
/api/v1/beta/codes

List all invite codes with redemption status. Admin only.

Authorizations

Responses

200

Successful Response

Response body listing all invite codes.

Attributes: codes: List of invite code information. total: Total number of codes.

object
codes
required
Array<object>

Information about a single invite code.

Attributes: id: The invite code’s UUID. code: The invite code string. batch_id: Batch grouping identifier. credit_limit: Credits provisioned on redemption. is_active: Whether the code is active. expires_at: When the code expires. created_at: When the code was created. redeemed_by: UUID of the user who redeemed (if any). redeemed_at: When the code was redeemed (if any).

object
batch_id
required
Any of:
string
code
required
string
created_at
required
string
credit_limit
required
integer
expires_at
required
string
id
required
string
is_active
required
boolean
redeemed_at
Any of:
string
redeemed_by
Any of:
string
total
required
integer